# Withdrawals

Manage TBOT reward withdrawals.

## Endpoints

| Method | Path                         | Description       |
| ------ | ---------------------------- | ----------------- |
| GET    | `/v1/withdrawals`            | List withdrawals  |
| GET    | `/v1/withdrawals/:id`        | Get withdrawal    |
| POST   | `/v1/withdrawals`            | Create withdrawal |
| POST   | `/v1/withdrawals/:id/cancel` | Cancel withdrawal |

***

### List Withdrawals

```
GET /v1/withdrawals
```

```bash
curl https://rest-api.tokenbot.com/v1/withdrawals \
  -H "X-API-Key: tb_live_your_key"
```

***

### Get Withdrawal

```
GET /v1/withdrawals/:id
```

***

### Create Withdrawal

```
POST /v1/withdrawals
```

**Request Body:**

```json
{
  "amount": 100.0,
  "wallet_address": "0x..."
}
```

***

### Cancel Withdrawal

```
POST /v1/withdrawals/:id/cancel
```
